user nginx;
pid /run/nginx.pid;
worker_processes 1;
error_log /dev/stderr warn;

events {
	worker_connections 1024;
}

http {
	include mime.types;
	default_type application/octet-stream;

	access_log off;
	server_tokens off;
	client_max_body_size 100m;
	sendfile on;
	tcp_nodelay on;
	send_timeout 300;

	server {
		listen 8080;
		server_name localhost;

		location / {
			root /srv/taarifa/www;
		}

		location /api {
			proxy_set_header X-Forwarded-For $remote_addr;
			proxy_set_header X-Forwarded-Host $http_host;
			proxy_set_header X-Forwarded-Proto $scheme;
			proxy_connect_timeout 300;
			proxy_send_timeout 300;
			proxy_read_timeout 300;
			proxy_pass http://127.0.0.1:8000;
		}
	}
}
